### Enumeration

# Qmi DmsPowerState

since: 1.0

#### Declaration

    flags Qmi.DmsPowerState

#### Description [src]

Flags specifying the current power state.

If `QMI_DMS_POWER_STATE_EXTERNAL_SOURCE` is set, the device is powerered by an external source; otherwise it is powered by a battery.

If `QMI_DMS_POWER_STATE_BATTERY_CONNECTED` is set, the battery is connected; otherwise the battery is not connected.

If `QMI_DMS_POWER_STATE_BATTERY_CHARGING` is set, the battery is being charged; otherwise the battery is not being charged.

If `QMI_DMS_POWER_STATE_FAULT` is set, a power fault has been detected.

Available since: 1.0

#### Members

`QMI_DMS_POWER_STATE_EXTERNAL_SOURCE`

  Powered by an external source.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_POWER_STATE_BATTERY_CONNECTED`

  Battery is connected.

  - Value: `2`
  - Available since: 1.0
`QMI_DMS_POWER_STATE_BATTERY_CHARGING`

  Battery is currently being charged.

  - Value: `4`
  - Available since: 1.0
`QMI_DMS_POWER_STATE_FAULT`

  Recognized power fault.

  - Value: `8`
  - Available since: 1.0

#### Type functions

###### qmi_dms_power_state_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiDmsPowerState` in `mask`.

since: 1.0